# eric4.QScintilla.GotoDialog

Module implementing the Goto dialog.

### Global Attributes

None

### Classes

GotoDialog | Class implementing the Goto dialog.

### Functions

None

## GotoDialog

Class implementing the Goto dialog.

### Derived from

QDialog, Ui_GotoDialog

### Class Attributes

None

### Class Methods

None

### Methods

GotoDialog | Constructor
getLinenumber | Public method to retrieve the linenumber.

### Static Methods

None

#### GotoDialog (Constructor)

GotoDialog(maximum, curLine, parent, name = None, modal = False)

Constructor

maximum
  maximum allowed for the spinbox (integer)
curLine
  current line number (integer)
parent
  parent widget of this dialog (QWidget)
name
  name of this dialog (string or QString)
modal
  flag indicating a modal dialog (boolean)

#### GotoDialog.getLinenumber

getLinenumber()

Public method to retrieve the linenumber.

Returns:
  line number (int)

Up